/* Scrutari - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin;

import fr.exemole.sctserver.SctServer;


/**
 *
 * @author Vincent Calame
 */
public class ConfUpdateCommand extends Command {

    public final static String COMMANDNAME = "ConfUpdate";
    public final static String COMMANDKEY = "SCT-03";

    public ConfUpdateCommand(SctServer sctServer) {
        super(sctServer);
    }

    protected void doCommand() {
        boolean done = sctServer.updateConf();
        if (done) {
            setDone("done_restart", null);
        } else {
            setError("error_reloadprocess", null);
        }
    }

}
