/* ScrutariLib_DB - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.db;

import net.mapeadores.scrutari.lexie.FicheLexification;
import net.mapeadores.scrutari.lexie.LexieOccurrencesList;
import net.mapeadores.scrutari.lexie.MotcleLexification;
import net.mapeadores.scrutari.lexie.ScrutariLexieUnitList;


/**
 *
 * @author Vincent Calame
 */
public interface LexieCacheReader {

    public ScrutariLexieUnitList getScrutariLexieUnitList(int langInteger);

    public LexieOccurrencesList getLexieOccurrencesList(long lexieId, int subsetCode);

    public FicheLexification getFicheLexification(int codefiche);

    public MotcleLexification getMotcleLexification(int codemotcle);

    public void close();

}
