/* ScrutariLib_SearchEngine - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine;


/**
 *
 * @author Vincent Calame
 */
public interface GlobalSearchOptions {

    public int getCorpusClasseRank(int codecorpus);

    public int getCorpusClasseCount();

    public CorpusClasse getCorpusClasse(int i);

    public CorpusClasse getCorpusClasseByRank(int rank);

    public PertinencePonderation getPertinencePonderation();

}
