/* ScrutariLib_SearchEngine - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine;

import net.mapeadores.scrutari.db.CodeFilter;
import net.mapeadores.scrutari.db.CodeList;


/**
 *
 * @author Vincent Calame
 */
public interface SearchFilter {

    /**
     * N'est jamais nul mais peut-être de longueur nulle.
     */
    public CodeList getCodecorpusList();

    /**
     * N'est jamais nul mais peut-être de longueur nulle.
     */
    public CodeList getCodethesaurusList();

    public CodeFilter getCodeficheFilter();

    public CodeFilter getCodemotcleFilter();

}
