/* ScrutariLib_SearchEngine - Copyright (c) 2010-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine.seeker;

import net.mapeadores.util.text.SubstringPosition;


/**
 *
 * @author Vincent Calame
 */
public interface SeekHandler {

    public void addFichePertinence(int codefiche, int codecorpus, int tokenIndex, int alineaInteger, SubstringPosition sourcePosition);

    public void addMotclePertinence(int codemotcle, int codethesaurus, int tokenIndex, int langInteger, SubstringPosition sourcePosition, float coverRate);

}
