/* ScrutariLib_SearchEngine - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine.seeker;

import net.mapeadores.scrutari.searchengine.SearchFilter;


/**
 *
 * @author Vincent Calame
 */
public interface SeekOptions {

    public int[] getLangIntegerArray();

    public boolean isWithFiches();

    public boolean isWithMotscles();

    public int getDefaultSearchType();

    public SearchFilter getSearchFilter();

    public boolean isAllLang();

}
