/* ScrutariLib_Xml - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.xml.xmlpull;

import net.mapeadores.util.text.Libelle;
import net.mapeadores.util.xml.xmlpull.LibelleElementHandler;
import net.mapeadores.util.xml.xmlpull.XmlPullElementHandler;


/**
 *
 * @author Vincent Calame
 */
public class XmlPullUtils {

    private XmlPullUtils() {
    }

    public static Libelle testLibelle(XmlPullElementHandler elementHandler) {
        if (elementHandler instanceof LibelleElementHandler) {
            return ((LibelleElementHandler) elementHandler).toLibelle();
        } else {
            return null;
        }
    }

}
