/* SctServer - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.admin;


/**
 *
 * @author Vincent Calame
 */
public class ScrutariInfoUtils {

    private ScrutariInfoUtils() {
    }

    public static boolean hasChange(ScrutariInfo scrutariInfo, short newState, int newDate) {
        short currentState = scrutariInfo.getState();
        if (currentState != ScrutariInfo.OK_STATE) {
            if (newState == ScrutariInfo.OK_STATE) {
                return true;
            } else {
                return false;
            }
        }
        if (newState != ScrutariInfo.OK_STATE) {
            return true;
        }
        if (newDate != scrutariInfo.getLastUpdate()) {
            return true;
        } else {
            return false;
        }
    }

}
