/* SctServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.storage;

import net.mapeadores.util.io.ResourceInfo;
import java.io.OutputStream;
import net.mapeadores.util.io.DocStream;


/**
 *
 * @author Vincent Calame
 */
public interface LogAccess {

    public DocStream getLogDocStream(String logName);

    public OutputStream getLogOutputStream(String logName);

    public ResourceInfo[] getCurrentLogArray();

}
