/* UtilLib - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.io;


/**
 *
 * @author Vincent Calame
 */
public interface MimeTypeConstants {

    public final static String OCTETSTREAM = "application/octet-stream";
    public final static String JSON = "application/json";
    public final static String JAVASCRIPT = "application/javascript";
    public final static String DTD = "application/xml-dtd";
    public final static String CSS = "text/css";
    public final static String XML = "text/xml";
    public final static String PLAIN = "text/plain";
    public final static String HTML = "text/html";
}
