/* Scrutari - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.global.htmlpages;

import fr.exemole.sctserver.servlets.ScrutariContext;
import net.mapeadores.util.html.HTMLAttributes;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public class IndexPage extends GlobalHtmlPage {

    public IndexPage(ScrutariContext scrutariContext, LocalisationInfo localisationInfo) {
        init(scrutariContext, localisationInfo);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        HTMLAttributes pAttributes = new HTMLAttributes();
        pAttributes.setClasses("p_Titre");
        startP(pAttributes);
        localize("global_felicitations");
        endP();
        end();
    }

}
