/* ScrutariLib_DB - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.db;

import net.mapeadores.util.attr.AttributeDef;
import net.mapeadores.util.attr.AttributeDefList;
import net.mapeadores.util.attr.AttributeKey;


/**
 *
 * @author Vincent Calame
 */
public interface AttributeKeyCoder {

    public final static String PRIMARY_GROUP = "primary";
    public final static String SECONDARY_GROUP = "secondary";

    public int getAttributeDefCount();

    public int getAlineaRootCode(AttributeKey attributeKey);

    public AttributeDefList getAttributeDefList(String name);

    public AttributeDef getAttributeDef(AttributeKey attributeKey);

}
