/* ScrutariLib_SearchEngine - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.searchengine;

import net.mapeadores.scrutari.db.ScrutariDB;
import net.mapeadores.scrutari.supermotcle.SupermotcleManager;
import net.mapeadores.util.text.SearchSequence;


/**
 *
 * @author Vincent Calame
 */
public class SearchEngineParameters {

    private ScrutariDB scrutariDB;
    private String identifiant;
    private SearchSequence searchSequence;
    private SearchOptions searchOptions;
    private GlobalSearchOptions globalSearchOptions;
    private SupermotcleManager supermotcleManager;

    public SearchEngineParameters() {
    }

    public ScrutariDB getScrutariDB() {
        return scrutariDB;
    }

    public void setScrutariDB(ScrutariDB scrutariDB) {
        this.scrutariDB = scrutariDB;
    }

    public String getIdentifiant() {
        return identifiant;
    }

    public void setIdentifiant(String identifiant) {
        this.identifiant = identifiant;
    }

    public SearchSequence getSearchSequence() {
        return searchSequence;
    }

    public void setSearchSequence(SearchSequence searchSequence) {
        this.searchSequence = searchSequence;
    }

    public SearchOptions getSearchOptions() {
        return searchOptions;
    }

    public void setSearchOptions(SearchOptions searchOptions) {
        this.searchOptions = searchOptions;
    }

    public GlobalSearchOptions getGlobalSearchOptions() {
        return globalSearchOptions;
    }

    public void setGlobalSearchOptions(GlobalSearchOptions globalSearchOptions) {
        this.globalSearchOptions = globalSearchOptions;
    }

    public SupermotcleManager getSupermotcleManager() {
        return supermotcleManager;
    }

    public void setSupermotcleManager(SupermotcleManager supermotcleManager) {
        this.supermotcleManager = supermotcleManager;
    }

}
