/* SctServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.admin;

import net.mapeadores.util.conditions.TextTest;


/**
 *
 * @author Vincent Calame
 */
public interface SearchLogDeny {

    public final static short IP_DENY = 1;
    public final static short SITE_DENY = 2;
    public final static short REF_DENY = 3;

    /**
     * Retourne null s'il n'y a pas de conditions pour ce type.
     */
    public TextTest getTextTest(short type);

}
